Download it now!
Bug 44577 - libvisio: text on lines not visible
Summary: libvisio: text on lines not visible
Status: RESOLVED FIXED
Alias: None
Product: Document Liberation Project
Classification: Unclassified
Component: libvisio (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Fridrich Strba
URL:
Whiteboard:
Keywords:
: 59976 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-01-08 06:33 UTC by Bruno Girin
Modified: 2017-10-30 11:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Visio file that shows lines with text at different line weights (47.50 KB, application/vnd.visio)
2012-01-08 06:33 UTC, Bruno Girin
Details
PNG output from Visio showing what the diagram should look like (33.03 KB, image/png)
2012-01-08 06:34 UTC, Bruno Girin
Details
PNG output from LibreOffice showing what LO imports (79.25 KB, image/png)
2012-01-08 06:34 UTC, Bruno Girin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Girin 2012-01-08 06:33:56 UTC
Created attachment 55290 [details]
Visio file that shows lines with text at different line weights

When entering text in a line's text box, Visio defaults to a plain colour fill using the background colour so that the text is visible on top of the line. When importing such diagrams in Libre Office Draw, the text is not visible. See the attached files for further details.
Comment 1 Bruno Girin 2012-01-08 06:34:26 UTC
Created attachment 55291 [details]
PNG output from Visio showing what the diagram should look like
Comment 2 Bruno Girin 2012-01-08 06:34:57 UTC
Created attachment 55292 [details]
PNG output from LibreOffice showing what LO imports
Comment 3 Fridrich Strba 2012-01-11 02:54:57 UTC
I will try to have a look ASAP
Comment 4 Fridrich Strba 2012-01-11 07:03:17 UTC
Ok, I inverstigated and here the problem is that LibreOffice and Visio have conceptual differences. The textarea background colour is basically in Visio a background colour of a bounding box of the wrapped text. There is nothing similar in LibreOffice. The only thing we will eventually be able to do (but after some rework of LO internals) is to set the text background to the textBlock background colour. Currently text boxes inside draw documents cannot specify background of a text-run. Unlike text boxes in writer documents.
I actually remember that I saw this problem already during LO Conf in Paris and we have some proof-of-concept code which is still without effect due to those limitations.
Comment 5 Fridrich Strba 2013-03-22 14:59:52 UTC
*** Bug 59976 has been marked as a duplicate of this bug. ***
Comment 6 Fridrich Strba 2015-12-13 20:36:36 UTC
This is fixed in LO 5.0.3